
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" ng-click="close()">&times;</button>
        <h4 id="addCategoryLabelHeader" class="modal-title">Category Label</h4>
      </div>
      <div class="modal-body">
        <div class="box-body">
          <form novalidate   name="formx"  class="css-form" >
            <div class="row">
              <div class="form-group col-md-6">

               <!-- <input   type="hidden" class="form-control"  ng-model='categoryData.categoryId' required value='' placeholder="Enter categoryName" class="form-control">-->
                <label><span class="glyphicon glyphicon-asterisk red"></span>Label Name</label>
                <input  class="form-control" name="labelName" required=""  ng-model='categoryData.categoryName' required value='' placeholder="Enter Unique LabelName" class="form-control">
                <div ng-show="formx.$submitted || formx.labelName.$touched">
                  <div style="position: absolute;margin-left: 120px;" ng-show="formx.labelName.$error.required"><p>Unique LabelName is required.</p></div>
                </div>

                <div ng-if="message">
                  <div style="position: absolute;margin-left: 80px; color: red"><p >
                    Please provide unique Label Name.</p></div>
                </div>


              </div>
            </div>
            <div class="form-group">
              <label><span class="glyphicon glyphicon-asterisk red"></span>Description</label>
              <textarea class="form-control" required="" placeholder="Enter Description..." rows="3"  name="categoryDescription" ng-model="categoryData.categoryDescription" maxlength="200"></textarea>
              <div ng-show="formx.$submitted || formx.categoryDescription.$touched">
                <div style="position: absolute;margin-left: 120px;" ng-show="formx.categoryDescription.$error.required"><p>CategoryDescription is required.</p></div>
              </div>
              <br/>
              <span>{{200 - categoryDataForEdit.categoryDescription.length}} left</span>

              <div style="position: absolute;margin-left: 120px;"
                   ng-show="formx.categoryDescription.$error.maxlength" class="help-block"><p>Enter maximum 200 Characters</p></div>
            </div>
          </form>
        </div>
      </div>


      <div class="modal-footer" ng-hide="formx.labelName.$error.required || formx.categoryDescription.$error.required ">
        <button type="button" class="btn btn-primary" ng-click="close()">Close</button>
        <button type="button" class="btn btn-info" ng-if="!categoryData.categoryId" ng-click="addCategory(categoryData)" data-dismiss="modal">Add</button>
        <button type="button" class="btn btn-info" ng-if="categoryData.categoryId" ng-click="updateCategory(categoryData)" data-dismiss="modal">Update</button>

      </div>
    </div>




